### Hierarchy

- Duration

## Index

### Methods

- abs
- add
- as
- asDays
- asHours
- asMilliseconds
- asMinutes
- asMonths
- asSeconds
- asWeeks
- asYears
- clone
- days
- get
- hours
- humanize
- isValid
- lang
- locale
- localeData
- milliseconds
- minutes
- months
- seconds
- subtract
- toISOString
- toIsoString
- toJSON
- weeks
- years

## Methods

### abs

- abs(): Duration

- - Defined in node_modules/moment/moment.d.ts:162

  #### Returns Duration

### add

- add(inp?: DurationInputArg1, unit?: DurationInputArg2): Duration

- - Defined in node_modules/moment/moment.d.ts:191

  #### Parameters

  - ##### Optional inp: DurationInputArg1

  - ##### Optional unit: DurationInputArg2

  #### Returns Duration

### as

- as(units: Base): number

- - Defined in node_modules/moment/moment.d.ts:164

  #### Parameters

  - ##### units: Base

  #### Returns number

### asDays

- asDays(): number

- - Defined in node_modules/moment/moment.d.ts:180

  #### Returns number

### asHours

- asHours(): number

- - Defined in node_modules/moment/moment.d.ts:177

  #### Returns number

### asMilliseconds

- asMilliseconds(): number

- - Defined in node_modules/moment/moment.d.ts:168

  #### Returns number

### asMinutes

- asMinutes(): number

- - Defined in node_modules/moment/moment.d.ts:174

  #### Returns number

### asMonths

- asMonths(): number

- - Defined in node_modules/moment/moment.d.ts:186

  #### Returns number

### asSeconds

- asSeconds(): number

- - Defined in node_modules/moment/moment.d.ts:171

  #### Returns number

### asWeeks

- asWeeks(): number

- - Defined in node_modules/moment/moment.d.ts:183

  #### Returns number

### asYears

- asYears(): number

- - Defined in node_modules/moment/moment.d.ts:189

  #### Returns number

### clone

- clone(): Duration

- - Defined in node_modules/moment/moment.d.ts:158

  #### Returns Duration

### days

- days(): number

- - Defined in node_modules/moment/moment.d.ts:179

  #### Returns number

### get

- get(units: Base): number

- - Defined in node_modules/moment/moment.d.ts:165

  #### Parameters

  - ##### units: Base

  #### Returns number

### hours

- hours(): number

- - Defined in node_modules/moment/moment.d.ts:176

  #### Returns number

### humanize

- humanize(withSuffix?: undefined | false | true): string

- - Defined in node_modules/moment/moment.d.ts:160

  #### Parameters

  - ##### Optional withSuffix: undefined | false | true

  #### Returns string

### isValid

- isValid(): boolean

- - Defined in node_modules/moment/moment.d.ts:201

  #### Returns boolean

### lang

- lang(locale: LocaleSpecifier): Moment
- lang(): Locale

- - Defined in node_modules/moment/moment.d.ts:206
  deprecated

    since version 2.8.0

  #### Parameters

  - ##### locale: LocaleSpecifier

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:210
  deprecated

    since version 2.8.0

  #### Returns Locale

### locale

- locale(): string
- locale(locale: LocaleSpecifier): Duration

- - Defined in node_modules/moment/moment.d.ts:194

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:195

  #### Parameters

  - ##### locale: LocaleSpecifier

  #### Returns Duration

### localeData

- localeData(): Locale

- - Defined in node_modules/moment/moment.d.ts:196

  #### Returns Locale

### milliseconds

- milliseconds(): number

- - Defined in node_modules/moment/moment.d.ts:167

  #### Returns number

### minutes

- minutes(): number

- - Defined in node_modules/moment/moment.d.ts:173

  #### Returns number

### months

- months(): number

- - Defined in node_modules/moment/moment.d.ts:185

  #### Returns number

### seconds

- seconds(): number

- - Defined in node_modules/moment/moment.d.ts:170

  #### Returns number

### subtract

- subtract(inp?: DurationInputArg1, unit?: DurationInputArg2): Duration

- - Defined in node_modules/moment/moment.d.ts:192

  #### Parameters

  - ##### Optional inp: DurationInputArg1

  - ##### Optional unit: DurationInputArg2

  #### Returns Duration

### toISOString

- toISOString(): string

- - Defined in node_modules/moment/moment.d.ts:198

  #### Returns string

### toIsoString

- toIsoString(): string

- - Defined in node_modules/moment/moment.d.ts:214
  deprecated

  #### Returns string

### toJSON

- toJSON(): string

- - Defined in node_modules/moment/moment.d.ts:199

  #### Returns string

### weeks

- weeks(): number

- - Defined in node_modules/moment/moment.d.ts:182

  #### Returns number

### years

- years(): number

- - Defined in node_modules/moment/moment.d.ts:188

  #### Returns number

Generated using TypeDoc